#
# spec file for package python-Flask-Testing
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Flask-Testing
Version:        0.8.0
Release:        bp153.1.18
Summary:        Unit testing for Flask
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/jarus/flask-testing
Source:         https://files.pythonhosted.org/packages/source/F/Flask-Testing/Flask-Testing-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Flask
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Flask}
BuildRequires:  %{python_module blinker}
# /SECTION
%python_subpackages

%description
Unit testing for Flask.

%prep
%setup -q -n Flask-Testing-%{version}
# Remove Python 2-only unmaintained test dependency twill
# which includes a lot of outdated vendored packages
sed -i "s/twill[^']*/setuptools/" setup.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README
%license LICENSE
%{python_sitelib}/flask_testing
%{python_sitelib}/Flask_Testing-%{version}-py*.egg-info

%changelog
* Sun Mar  8 2020 Arun Persaud <arun@gmx.de>
- specfile:
  * update copyright year
  * be more specific in files section
- update to version 0.8.0:
  * Drops support for python 2.6, 3.3, and 3.4 due to end-of-life.
  * Fixes werkzeug 1.0 compatibility issue with import paths
* Wed Sep 18 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.7.1
